Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.intercept
Interface LazyPropertyInitializer

All Known Implementing Classes:
  AbstractEntityPersister, JoinedSubclassEntityPersister, SingleTableEntityPersister, UnionSubclassEntityPersister

    public interface LazyPropertyInitializer

Contract for controlling how lazy properties get initialized.

Author:
  Gavin King

Field Summary
`static Serializable` | `UNFETCHED_PROPERTY` Marker value for uninitialized properties

Method Summary
`Object` | `initializeLazyProperty(String fieldName, Object entity, SessionImplementor session)` Initialize the property, and return its new value

Field Detail

### UNFETCHED_PROPERTY

    static final Serializable UNFETCHED_PROPERTY

  Marker value for uninitialized properties

Method Detail

### initializeLazyProperty

    Object initializeLazyProperty(String fieldName,
                                  Object entity,
                                  SessionImplementor session)
                                  throws HibernateException

  Initialize the property, and return its new value

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.